%define major		0
%define api		1.2
%define gir_major	1.2
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Object-oriented framework for creating UPnP devices and control points
Name:		gupnp
Version:	1.2.4
%define subrel 1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		CVE-2021-33516.patch
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gssdp-1.2) >= 1.1
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.28.2
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires:	vala-tools
BuildRequires:	meson

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points.

%package -n %{libname}

Summary:	Main library for gupnp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-11

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gupnp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gupnp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-11

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gupnp

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
 	
%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dintrospection=true \
       -Dgtk_doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnP-%{gir_major}.typelib

%files -n %{develname}
%doc AUTHORS README NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/gupnp*.pc
%{_includedir}/gupnp-%{api}/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/vala/vapi/*
%{_bindir}/gupnp-binding-tool-%{api}
%{_datadir}/gir-1.0/GUPnP-%{gir_major}.gir
%{_mandir}/man1/gupnp-binding-tool-%{api}.1.*


%changelog
* Fri Jun 11 2021 ns80 <ns80> 1.2.4-1.1.mga8
+ Revision: 1730413
- add patch from Ubuntu for CVE-2021-33516 (mga#29085)

* Sun Aug 09 2020 ovitters <ovitters> 1.2.4-1.mga8
+ Revision: 1612418
- new version 1.2.4

* Tue Jun 23 2020 ovitters <ovitters> 1.2.3-1.mga8
+ Revision: 1598530
- new version 1.2.3

* Tue Feb 18 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1541828
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 ovitters <ovitters> 1.2.2-1.mga8
+ Revision: 1475531
- new version 1.2.2

* Wed May 08 2019 tmb <tmb> 1.2.1-1.mga7
+ Revision: 1396791
- update to 1.2.1

* Wed Apr 17 2019 umeabot <umeabot> 1.2.0-2.mga7
+ Revision: 1392655
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 1.2.0-1.mga7
+ Revision: 1374323
- new version 1.2.0

* Sun Mar 10 2019 tmb <tmb> 1.1.2-1.mga7
+ Revision: 1373519
- fix filelist
- switch to meson
- update to 1.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1298146
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 ovitters <ovitters> 1.0.3-1.mga7
+ Revision: 1245991
- new version 1.0.3
+ kekepower <kekepower>
- Use new make macros

* Mon Mar 20 2017 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 1093758
- new version 1.0.2

* Sat Oct 15 2016 ovitters <ovitters> 1.0.1-1.mga6
+ Revision: 1060867
- new version 1.0.1

* Mon Sep 26 2016 tv <tv> 1.0.0-2.mga6
+ Revision: 1056852
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Thu Sep 22 2016 ovitters <ovitters> 1.0.0-1.mga6
+ Revision: 1055265
- new version 1.0.0

* Sun Sep 18 2016 ovitters <ovitters> 0.99.0-1.mga6
+ Revision: 1054000
- new version 0.99.0

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.20.18-1.mga6
+ Revision: 1045271
- 0.20.18

* Mon Apr 25 2016 ovitters <ovitters> 0.20.17-1.mga6
+ Revision: 1006290
- new version 0.20.17

* Tue Feb 09 2016 ovitters <ovitters> 0.20.16-1.mga6
+ Revision: 951159
- new version 0.20.16

* Thu Dec 31 2015 ovitters <ovitters> 0.20.15-1.mga6
+ Revision: 917132
- new version 0.20.15

* Tue Jun 30 2015 wally <wally> 0.20.14-3.mga6
+ Revision: 849069
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.20.14-2.mga6
+ Revision: 847515
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 0.20.14-1.mga6
+ Revision: 836283
- new version 0.20.14

* Sun Jan 04 2015 ovitters <ovitters> 0.20.13-1.mga5
+ Revision: 808423
- new version 0.20.13

* Wed Oct 15 2014 umeabot <umeabot> 0.20.12-4.mga5
+ Revision: 746118
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.20.12-3.mga5
+ Revision: 724905
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.20.12-2.mga5
+ Revision: 680048
- Mageia 5 Mass Rebuild

* Sat May 31 2014 ovitters <ovitters> 0.20.12-1.mga5
+ Revision: 628238
- new version 0.20.12

* Sun May 04 2014 ovitters <ovitters> 0.20.11-1.mga5
+ Revision: 620051
- new version 0.20.11

* Tue Feb 04 2014 dams <dams> 0.20.10-1.mga5
+ Revision: 580898
- new version 0.20.10

* Mon Dec 23 2013 dams <dams> 0.20.9-1.mga4
+ Revision: 560212
- new version 0.20.9

* Thu Oct 31 2013 ovitters <ovitters> 0.20.8-1.mga4
+ Revision: 548540
- new version 0.20.8

* Wed Oct 23 2013 dams <dams> 0.20.7-1.mga4
+ Revision: 546537
- new version 0.20.7

* Sat Oct 19 2013 umeabot <umeabot> 0.20.6-2.mga4
+ Revision: 533678
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 ovitters <ovitters> 0.20.6-1.mga4
+ Revision: 474744
- new version 0.20.6

* Tue Aug 20 2013 ovitters <ovitters> 0.20.5-1.mga4
+ Revision: 468317
- new version 0.20.5

* Tue Jul 30 2013 ovitters <ovitters> 0.20.4-1.mga4
+ Revision: 460984
- new version 0.20.4

* Wed May 29 2013 dams <dams> 0.20.3-1.mga4
+ Revision: 432872
- new version 0.20.3

* Fri Apr 19 2013 fwang <fwang> 0.20.2-2.mga3
+ Revision: 410502
- update file list
- add vala binding

* Fri Apr 12 2013 dams <dams> 0.20.2-1.mga3
+ Revision: 409812
- new version 0.20.2
+ ovitters <ovitters>
- new version 0.20.0

* Sat Jan 12 2013 umeabot <umeabot> 0.18.4-2.mga3
+ Revision: 352974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 ovitters <ovitters> 0.18.4-1.mga3
+ Revision: 282401
- new version 0.18.4

* Thu May 03 2012 ovitters <ovitters> 0.18.3-1.mga3
+ Revision: 234680
- new version 0.18.3

* Sat Mar 17 2012 ovitters <ovitters> 0.18.2-1.mga2
+ Revision: 223757
- new version 0.18.2

* Fri Dec 09 2011 wally <wally> 0.18.1-1.mga2
+ Revision: 179697
- new version 0.18.1
- enable introspection for sure
- tag gtk-docs as docs

* Wed Aug 31 2011 fwang <fwang> 0.18.0-1.mga2
+ Revision: 136875
- new version 0.18.0
- new version 0.17.2

* Thu Jul 07 2011 wally <wally> 0.17.1-1.mga2
+ Revision: 119909
- new version 0.17.1

* Sat Jun 25 2011 wally <wally> 0.17.0-1.mga2
+ Revision: 113559
- new version 0.17.0
- new major 4
- fix libification
- create new subpackage for gir .typelib

* Thu Apr 14 2011 dams <dams> 0.16.0-1.mga1
+ Revision: 84991
- Update to 0.16.0

* Sun Jan 23 2011 wally <wally> 0.14.1-1.mga1
+ Revision: 33537
- new version 0.14.1
- fix license, url and source tag

* Sat Jan 22 2011 wally <wally> 0.13.5-3.mga1
+ Revision: 33282
- remove old mdv scriptlets
- disable static build
- imported package gupnp


* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-2mdv2011.0
+ Revision: 577977
- rebuild for new g-i

* Tue Aug 17 2010 Emmanuel Andry <eandry@mandriva.org> 0.13.5-1mdv2011.0
+ Revision: 570981
- New version 0.13.5

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.13.4-2mdv2011.0
+ Revision: 563770
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.13.4-1mdv2011.0
+ Revision: 550674
- new version

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.13.3-1mdv2010.1
+ Revision: 533734
- update build deps
- new version
- add introspection support

* Sat Dec 05 2009 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2010.1
+ Revision: 473841
- new version

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.1-1mdv2010.1
+ Revision: 462239
- update to new version 0.13.1

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.0-1mdv2010.0
+ Revision: 445420
- Update to new version 0.13.0 (new major)

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.12.8-2mdv2010.0
+ Revision: 409182
- Updated buildrequires for libuuid.

* Wed Jun 03 2009 Götz Waschk <waschk@mandriva.org> 0.12.8-1mdv2010.0
+ Revision: 382413
- update to new version 0.12.8

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 0.12.7-1mdv2010.0
+ Revision: 369062
- update to new version 0.12.7

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.12.6-1mdv2009.1
+ Revision: 349313
- New version 0.12.6

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.5-1mdv2009.1
+ Revision: 331044
- update to new version 0.12.5

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.12.4-2mdv2009.1
+ Revision: 309215
- rebuild to get rid of libtasn1 dep

* Sun Nov 30 2008 Emmanuel Andry <eandry@mandriva.org> 0.12.4-1mdv2009.1
+ Revision: 308521
- New version

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.3-1mdv2009.1
+ Revision: 304513
- add buildrequires libtasn1-devel
- update to new version 0.12.3

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 278645
- New version (new major)
- Add gupnp-binding-tool file, only used for development
- Don't package ChangeLog

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.1-1mdv2009.0
+ Revision: 211075
- bump major
- new version
- do not re-define stuff
- update buildrequires
- spec file clean

* Mon Feb 25 2008 Thierry Vignaud <tv@mandriva.org> 0.6-2mdv2008.1
+ Revision: 174698
- fix summary

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.6-1mdv2008.1
+ Revision: 174660
- Adding more BuildRequires
- import gupnp


